Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class CipherSuites

    java.lang.Object
      org.apache.cxf.configuration.security.CipherSuites

    public class CipherSuites

extends java.lang.Object

This structure holds a list of ciphersuite names that are to be supported. Note: that does not mean that they will be available. That depends on the JSSE and Crypto providers.

Java class for CipherSuites complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CipherSuites">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cipherSuite" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.util.List<java.lang.String>` | `cipherSuite`

Constructor Summary
`CipherSuites()`

Method Summary
`java.util.List<java.lang.String>` | `getCipherSuite()` Gets the value of the cipherSuite property.
`boolean` | `isSetCipherSuite()`
`void` | `unsetCipherSuite()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cipherSuite

    protected java.util.List<java.lang.String> cipherSuite

Constructor Detail

### CipherSuites

    public CipherSuites()

Method Detail

### getCipherSuite

    public java.util.List<java.lang.String> getCipherSuite()

  Gets the value of the cipherSuite property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cipherSuite property.

  For example, to add a new item, do as follows:

          getCipherSuite().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### isSetCipherSuite

    public boolean isSetCipherSuite()

### unsetCipherSuite

    public void unsetCipherSuite()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF